# $Revision: 1.12 $, $Date: 2002/09/28 23:16:56 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Perl extensions for CDK
Summary(pl):	Rozszerzenie Perla dla CDK
Name:		perl-cdk
Version:	20020728
Release:	1
License:	distributable 
Group:		Development/Languages/Perl
Source0:	ftp://dickey.his.com/cdk/cdk-perl-%{version}.tgz
BuildRequires:	cdk-devel
BuildRequires:	perl >= 5.005_03-10
BuildRequires:	rpm-perlprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Perl5 extension to the Cdk library written by Mike Glover.
All the copyright notices from the Cdk C distribution also apply to
the extension.

%description -l pl
To jest rozszerzenie Perla do biblioteki Cdk. Wszystkie copyrighty z
dystrybucji Cdk dotycz take tego rozszerzenia.

%prep
%setup -q -n cdk-perl-%{version}

%build
perl -pi -e 's|/local/|/|g' Makefile.PL
perl -pi -e 's|<cdk.h>|<cdk/cdk.h>|g' Cdk.xs
perl -pi -e "s|'INC'\s*=>.*|'INC'=> '-I%{_includedir}/ncurses',|" Makefile.PL
find demos examples fulldemo -type f | xargs perl -pi -e 's|#.*?perl|#!%{_bindir}/perl|g'

perl Makefile.PL 
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{perl_archlib}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT 

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%doc README CHANGES demos fulldemo
%attr(755,root,root) %{perl_sitearch}/auto/Cdk
%{perl_sitearch}/*.pm
%{perl_sitearch}/Cdk
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-cdk.spec,v $
Revision 1.12  2002/09/28 23:16:56  ankry
- fixed %%doc, moved examples to %%{_examplesdir}
- added tests
- version 20020728

Revision 1.11  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.10  2002/07/11 07:57:24  depesz
- new version; should work; STBR

Revision 1.9  2002/03/03 21:03:11  marcus
- rel.5.

Revision 1.8  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/10 15:39:12  depesz
adapterized

Revision 1.6  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/12 11:03:10  qboosh
- pl description; release 4

Revision 1.4  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.3  2001/04/19 10:40:15  mis
- changed cdk.h path in include directive (according to cdk-includes.patch)
- release 3

Revision 1.2  2001/04/18 18:31:47  mis
- fixed examples perl path

Revision 1.1  2001/04/18 18:22:46  mis
- initial version
